Subject: Re: elvis & vim, was Re: Does anyone have a man command??
From: [email-masked] ("Mikey")

31 Mar 1997 16:18:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

 http://wwwdim.uqac.uquebec.ca/ftp/pub
Less_needed_for_compile.dif
Ncurses_terminfo.dif
Winsup_add_termcaps.dif

Try the above patches to winsup/Ncurses elvis works pretty good with these.

----------
> From: Kevin Dahlhausen <[email-masked]>
> To: [email-masked]
> Subject: elvis & vim, was Re: Does anyone have a man command?? 
> Date: Monday, March 31, 1997 1:56 AM
> 
> 
> > The 'vi' like editor 'elvis' can read man, and i found 'elvis-2.0' for
> > win32. Unfortunately
> > it isn't buil on cygnus-win32 distrib, so it can't handle unixlike
> > pathnames !!! 
> > I tryed to port it with the tiny termcap embeded, and with gnu
libtermcap.
> > It compile quite
> > easily in both case, and it runs, but input seems to be 'frozen' (in
fact
> > keystrokes seems
> > to be bufferised). Anybody has an idea ??
> 
> I tried to build a native GNU-WIN32 version of the VI clone VIM.
> It compiled but exhibited the same behavior -that is the program 
> started, displayed 'Empty Buffer' and completely locked up.  I 
> haven't gotten any further on this yet.   Since both ports show the 
> same problem, maybe this points to a problem in the termcap 
> code?
> ~~~~~~~~~~~~~~~~~~~ Kevin Dahlhausen ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> Morse Controls                                   [email-masked]
> "Do or do not.  There is no 'Try.' "  Yoda
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".